std::is_literal_type< _Tp > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

Inheritance diagram for std::is_literal_type< _Tp >:
[legend]

## Public Types

typedef integral_constant< bool, __v > | type
typedef bool | value_type

## Public Member Functions

constexpr | operator value_type () const noexcept
constexpr value_type | operator() () const noexcept

## Static Public Attributes

static constexpr bool | value

## Detailed Description

template<typename _Tp>
struct std::is_literal_type< _Tp >

is_literal_type

Deprecated:
  Deprecated in C++17, removed in C++20. The idea of a literal type isn't useful.

Definition at line 831 of file type_traits.

## Member Typedef Documentation

## type

typedef integral_constant<bool , __v> std::integral_constant< bool , __v >::type

inherited

Definition at line 66 of file type_traits.

## value_type

typedef bool std::integral_constant< bool , __v >::value_type

inherited

Definition at line 65 of file type_traits.

## Member Function Documentation

## operator value_type()

constexpr std::integral_constant< bool , __v >::operator value_type | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 67 of file type_traits.

## operator()()

constexpr value_type std::integral_constant< bool , __v >::operator() | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 72 of file type_traits.

## Member Data Documentation

## value

constexpr bool std::integral_constant< bool , __v >::value

static constexpr inherited

Definition at line 64 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits